<div class="container">
    <h2>
        <span>Buat Data Payment</span>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="ui-g-12" style="background-color: white">
        <div class="ui-g-12" style="margin-top: 10px;">
            <div class="row">
                <div class="ui-g-6">
                    <div class="ui-g-12">
                        <div class="ui-g-12">
                            <div class="form-group">
                                <label class="form-control-label" for="field_tgldue">Tanggal Jatuh Tempo</label>
                                <p-calendar [showIcon]="true" [(ngModel)]="dtDue" [disabled]='isview'></p-calendar>
                            </div>
                        </div>
                    </div>
                    <div class="ui-g-12">
                        <label class="form-control-label" for="field_total">No Uang Muka</label>
                        <input type="text" class="form-control" name="no_um" id="field_no_um" [(ngModel)]="noUM"
                            readonly />
                    </div>
                    <div class="ui-g-12">
                        <label class="form-control-label" for="field_total">No Refferensi</label>
                        <input type="text" class="form-control" name="ppn" id="field_ppn" [(ngModel)]="invNO" />
                    </div>
                    <div class="ui-g-6">
                        <label class="form-control-label" for="field_total">Nomor Invoice</label>
                        <input type="text" class="form-control" name="ppn" id="field_ppn" [(ngModel)]="pinvno"
                            readonly />
                    </div>

                    <div class="ui-g-6">
                        <label class="form-control-label" for="field_total">Nomor Faktur Pajak</label>
                        <input type="text" class="form-control" name="ppn" id="field_ppn" [(ngModel)]="ptaxinvno"
                            readonly />
                    </div>
                </div>
                <div class="ui-g-6">
                    <div class="ui-g-12">
                        <div class="form-group">
                            <label class="form-control-label" for="field_nmspl">Nama Supplier</label>
                            <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredSuppliers"
                                (completeMethod)="filterSupplierSingle($event)" [size]="34" name="suplier"
                                [minLength]="1" field="nmSupplier" placeholder="Silahkan Pilih"
                                (onSelect)="selectSupplier(true)" [dropdown]="true"
                                [disabled]='isview'></p-autoComplete>
                        </div>
                    </div>
                    <div class="ui-g-12">
                        <div class="form-group">
                            <label class="form-control-label" for="field_nmspl">Kode Supplier</label>
                            <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredCodeSuppliers"
                                (completeMethod)="filterSupplierCodeSingle($event)" [size]="34" name="suplier"
                                [minLength]="1" field="kd_suppnew" placeholder="Silahkan Pilih"
                                (onSelect)="selectSupplier(true)" [dropdown]="true"
                                [disabled]='isview'></p-autoComplete>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <br>

        <div class="ui-g-6" *ngIf="ispelunasan === true">
            <p-dataTable [value]="payItems" [editable]="true" [responsive]="true">
                <header>

                </header>
                <p-column header="No">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="No Tanda Terima">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.receiptno}}
                    </ng-template>
                </p-column>
                <p-column header="No Faktur">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.invno}}
                    </ng-template>
                </p-column>
                <p-column header="No Faktur Pajak">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.invtaxno}}
                    </ng-template>
                </p-column>
                <p-column header="PPN" [style]="{'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.ppn | number:'1.0-2'}}
                    </ng-template>
                </p-column>
                <p-column header="Total Pokok " [style]="{'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.paynoppn | number:'1.0-2'}}
                    </ng-template>
                </p-column>
                <p-column header="Total PPN " [style]="{'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.totalppn | number:'1.0-2'}}
                    </ng-template>
                </p-column>
                <p-column header="Total " [style]="{'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.totalpay | number:'1.0-2'}}
                    </ng-template>
                </p-column>
                <p-column header="Faktur Suplier">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.invfrom}}
                    </ng-template>
                </p-column>
                <p-column header="Aksi">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="button" icon="fa fa-eye" class="flat-button"
                            (click)="lihatDetail(rowData)" pTooltip="Lihat Detail">
                        </button>
                    </ng-template>
                </p-column>
            </p-dataTable>
        </div>
        <div class="ui-g-6" *ngIf="ispelunasan === true">
            <jhi-invoice-item [(idinv)]="idinv"></jhi-invoice-item>
        </div>
        <div class="ui-g-4" *ngIf="ispelunasan === false">
            <button type="button" [routerLink]="['/', { outlets: { popup: 'po-as-lov'  } }]" replaceUrl="true"
                label="cari" class="btn btn-danger btn-block" [disabled]="isview">
                <span>Cari Nomor PO</span>
            </button>
        </div>
        <div class="ui-g-12" *ngIf="ispelunasan === false">
            <p-dataTable [value]="payItems" [editable]="true" [responsive]="true">
                <header>

                </header>
                <p-column header="No">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="No PO">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.invno}}
                    </ng-template>
                </p-column>
                <p-column header="Total PO">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.totalpay | number:'1.0-2'}}
                    </ng-template>
                </p-column>
                <p-column header="Aksi">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="button" icon="fa fa-ban" class="flat-button" (click)="deleteItem(rowData)"
                            pTooltip="Hapus Data">
                        </button>
                    </ng-template>
                </p-column>
            </p-dataTable>
            <br />
            <div class="ui-g-12">
                <h5 style="text-transform: uppercase; text-align: left; font-weight:bold; margin-left: 20px;">History
                    Pembayaran Uang Muka</h5>
                <div class="modal-body">
                    <p-dataTable [value]="listpaypo" [editable]="true" [responsive]="true">
                        <header>
                        </header>
                        <p-column header="No">
                            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                                {{rowIndex + 1}}
                            </ng-template>
                        </p-column>
                        <p-column header="No Tanda Terima">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.tanda_terima}}
                            </ng-template>
                        </p-column>
                        <p-column header="No PO">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.nopo}}
                            </ng-template>
                        </p-column>
                        <p-column header="UM">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.uangmuka | number:'1.0-2'}}
                            </ng-template>
                        </p-column>
                        <p-column header="Tanggal Bayar Finance">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.dtpay | date:'dd/MM/yyyy'}}
                            </ng-template>
                        </p-column>>
                        <p-column header="Total PO">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.totalpo | number:'1.0-2'}}
                            </ng-template>
                        </p-column>
                        <p-column header="Sisa PO">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.sisapo | number:'1.0-2'}}
                            </ng-template>
                        </p-column>
                    </p-dataTable>
                </div>
            </div>
            <br/>
            <div class="ui-g-12">
                <div class="form-group">
                    <label class="form-control-label" for="field_note">Catatan Deskripsi</label>
                    <textarea [(ngModel)]="pay.note" rows="6" cols="50" pInputTextarea autoResize="autoResize"
                        class="form-control" style="width: 100%;" [disabled]='isview'></textarea>
                </div>
            </div>
            <div class="ui-g-12">
                <div class="form-group">
                    <label class="form-control-label" for="field_note">Catatan Suplier</label>
                    <textarea [(ngModel)]="pay.notespl" rows="6" cols="30" pInputTextarea autoResize="autoResize"
                        class="form-control" style="width: 100%;" [disabled]='isview'></textarea>
                </div>
            </div>
            <div class="ui-g-12">
                <div class="form-group">
                    <label class="form-control-label" for="field_note">Sub Total</label>
                    <input currencyMask class="form-control" name="total" id="field_total" [(ngModel)]="pay.subtotal"
                        [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }" (blur)="countPPH()" />
                </div>
            </div>
            <div class="ui-g-12">
                <div class="form-group">
                    <label class="form-control-label" for="field_note">PPh</label>
                </div>
                <div class="form-group">
                    <label>Persentase Potongan PPH (%)</label>
                    <input currencyMask class="form-control" name="total" id="field_total" [(ngModel)]="pay.persen_pph"
                        [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }" (blur)="countPPH()"
                        placeholder="Persentase Potongan PPH" />
                </div>
                <div class="form-group">
                    <label>Nominal Dipotong PPH</label>
                    <input currencyMask class="form-control" name="total" id="field_total" [(ngModel)]="pay.sebelum_pph"
                        [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }" (blur)="countPPH()"
                        placeholder="Nominal Dipotong PPH" />
                </div>
                <div class="form-group">
                    <label>Total final PPH</label>
                    <div class="ui-g-12">
                        <div class="ui-g-6">
                            <label class="form-control-label" for="field_Tipe">Pembulatan ?</label>
                            <p-checkbox inputId="opt2" name="group1" binary="true" [(ngModel)]="pembulatan" (click)="countPPH()"></p-checkbox>
                            <label class="form-control-label" for="field_Tipe">{{lblpembualatan}}</label>
                        </div>
                        <div class="ui-g-6" *ngIf="pembulatan === true">
                            <p-checkbox inputId="opt3" name="group2" binary="true" [(ngModel)]="jnspembulatan" (click)="countPPH()"></p-checkbox>
                            <label class="form-control-label" for="field_Tipe">{{lbljnspembulatan}}</label>
                        </div>
                    </div>
                    <input currencyMask class="form-control" name="total" id="field_total" [(ngModel)]="pay.pph"
                        [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }" (blur)="countPPH()"
                        placeholder="total final PPH" readonly="true" />
                </div>
            </div>
            <div class="ui-g-12">
                <div class="form-group">
                    <label class="form-control-label" for="field_note">Catatan PPh</label>
                    <textarea [(ngModel)]="pay.notepph" rows="3" cols="30" pInputTextarea autoResize="autoResize"
                        style="width: 100%;" class="form-control" [disabled]='isview'></textarea>
                </div>
            </div>
            <div class="ui-g-12">
                <div class="form-group">
                    <label class="form-control-label" for="field_note">Total</label>
                    <input currencyMask class="form-control" name="total" id="field_total" [(ngModel)]="pay.totalpay"
                        [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }" [disabled]="true" />
                </div>
            </div>
        </div>
        <div class="ui-g-12">
            <div class="ui-g-6">
            </div>
            <div class="ui-g-12" style="margin-bottom: 50px;">
                <div class="btn-group flex-btn-group-container">
                    <button pButton type="submit" label="Simpan" icon="fa-save"
                        class="ui-button-primary flat-label-button" (click)="createPay()" [disabled]='isview || saveBool'
                        style="margin-right: 10px;">
                    </button>
                    <button pButton label="Kembali" class="ui-button-primary flat-label-button"
                        (click)="backMainPage()">
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>
<div style="margin-top: 50px;"></div>
<p-confirmDialog></p-confirmDialog>